Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Interface IPanelI

All Superinterfaces:
  IServerI

All Known Implementing Classes:
  IGridPanel, IPanel, IScreenTogglePanel

    public interface IPanelI

extends IServerI

Interface of a root GUI object of iGeo managing all IPane instance. An instance IG is keyed by IPanel object when it's in Graphic mode.

Author:
  Satoru Sugihara

Method Summary
`void` | `addPane(IPane p)`
`void` | `clearPane()`
`IPane` | `currentPane()` returns current pane; if null, it returns first pane.
`void` | `draw(IGraphics g)`
`void` | `focus()` focus on all pane
`IBounds` | `getBounds()`
`int` | `getHeight()`
`IG` | `getIG()`
`IPane` | `getPaneAt(int x, int y)`
`int` | `getWidth()`
`float` | `getX()`
`float` | `getY()`
`IPane` | `pane(int i)`
`int` | `paneNum()`
`void` | `postdraw(IGraphics g)`
`void` | `predraw(IGraphics g)`
`void` | `removePane(int i)`
`void` | `saveDialog()`
`IServer` | `server()`
`void` | `setBounds()`
`void` | `setIG(IG ig)`
`void` | `setSize(int w, int h)`
`void` | `setVisible(boolean v)`
`void` | `skipAutoFocus()`
`void` | `startDynamicServer()`

Method Detail

### setIG

    void setIG(IG ig)

### getIG

    IG getIG()

### server

    IServer server()

  Specified by:
    `server` in interface `IServerI`

### addPane

    void addPane(IPane p)

### pane

    IPane pane(int i)

### paneNum

    int paneNum()

### removePane

    void removePane(int i)

### clearPane

    void clearPane()

### setVisible

    void setVisible(boolean v)

### focus

    void focus()

  focus on all pane

### setSize

    void setSize(int w,
                 int h)

### startDynamicServer

    void startDynamicServer()

### draw

    void draw(IGraphics g)

### predraw

    void predraw(IGraphics g)

### postdraw

    void postdraw(IGraphics g)

### getPaneAt

    IPane getPaneAt(int x,
                    int y)

### currentPane

    IPane currentPane()

  returns current pane; if null, it returns first pane.

### getBounds

    IBounds getBounds()

### setBounds

    void setBounds()

### saveDialog

    void saveDialog()

### getX

    float getX()

### getY

    float getY()

### getWidth

    int getWidth()

### getHeight

    int getHeight()

### skipAutoFocus

    void skipAutoFocus()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD